Hey guys
Trying to compile the alsa-utils and have hit a brick wall with the following error:

checking for libasound headers version >= 1.0.24... found.
checking for snd_ctl_open in -lasound... yes
checking for snd_ctl_elem_add_enumerated... no
configure: error: No user enum control support in alsa-lib


Running Centos 6.3, alsa driver, library and firmware have been compiled and installed without issue.
I think alsa version 1.0.21 is installed by default, all development tools are installed.

Reading on google seems to suggest the libasound module is not installed or in the wrong location, any ideas to a solution?